ovirt_host_pm – Module to manage power management of hosts in oVirt/RHV — Ansible Documentation

- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ovirt_host_pm – Module to manage power management of hosts in oVirt/RHV

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Module to manage power management of hosts in oVirt/RHV.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7
- ovirt-engine-sdk-python >= 4.3.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
address - |  | Address of the power management interface.
auth dictionary / required |  | Dictionary with values needed to create HTTP/HTTPS connection to oVirt:
| ca_file string |  | A PEM file containing the trusted CA certificates. The certificate presented by the server will be verified using these CA certificates. If `ca_file` parameter is not set, system wide CA certificate store is used. Default value is set by `OVIRT_CAFILE` environment variable.
| headers dictionary |  | Dictionary of HTTP headers to be added to each API call.
| hostname string |  | A string containing the hostname of the server, usually something like `server.example.com`. Default value is set by `OVIRT_HOSTNAME` environment variable. Either `url` or `hostname` is required.
| insecure boolean | Choices: no yes | A boolean flag that indicates if the server TLS certificate and host name should be checked.
| kerberos boolean | Choices: no yes | A boolean flag indicating if Kerberos authentication should be used instead of the default basic authentication.
| password string / required |  | The password of the user. Default value is set by `OVIRT_PASSWORD` environment variable.
| token string |  | Token to be used instead of login with username/password. Default value is set by `OVIRT_TOKEN` environment variable.
| url string |  | A string containing the API URL of the server, usually something like `https://server.example.com/ovirt-engine/api`. Default value is set by `OVIRT_URL` environment variable. Either `url` or `hostname` is required.
| username string / required |  | The name of the user, something like admin@internal. Default value is set by `OVIRT_USERNAME` environment variable.
encrypt_options boolean | Choices: no yes | If true options will be encrypted when send to agent. aliases: encrypt
fetch_nested boolean | Choices: no yes | If True the module will fetch additional data from the API. It will fetch IDs of the VMs disks, snapshots, etc. User can configure to fetch other attributes of the nested entities by specifying `nested_attributes`.
name - / required |  | Name of the host to manage. aliases: host
nested_attributes list |  | Specifies list of the attributes which should be fetched from the API. This parameter apply only when `fetch_nested` is true.
options - |  | Dictionary of additional fence agent options (including Power Management slot). Additional information about options can be found at https://github.com/ClusterLabs/fence-agents/blob/master/doc/FenceAgentAPI.md.
order - added in 2.5 |  | Integer value specifying, by default it's added at the end.
password - |  | Password of the user specified in `username` parameter.
poll_interval integer | Default: 3 | Number of the seconds the module waits until another poll request on entity status is sent.
port - |  | Power management interface port.
state - | Choices: present ← absent | Should the host be present/absent.
timeout integer | Default: 180 | The amount of time in seconds the module should wait for the instance to get into desired state.
type - |  | Type of the power management. oVirt/RHV predefined values are drac5, ipmilan, rsa, bladecenter, alom, apc, apc_snmp, eps, wti, rsb, cisco_ucs, drac7, hpblade, ilo, ilo2, ilo3, ilo4, ilo_ssh, but user can have defined custom type.
username - |  | Username to be used to connect to power management interface.
wait boolean | Choices: no yes ← | `yes` if the module should wait for the entity to get into desired state.

## Notes

Note

- In order to use this module you have to install oVirt Python SDK. To ensure it’s installed with correct version you can create the following task: pip: name=ovirt-engine-sdk-python version=4.3.0

## Examples

    # Examples don't contain auth parameter for simplicity,
    # look at ovirt_auth module to see how to reuse authentication:

    # Add fence agent to host 'myhost'
    - ovirt_host_pm:
        name: myhost
        address: 1.2.3.4
        options:
          myoption1: x
          myoption2: y
        username: admin
        password: admin
        port: 3333
        type: ipmilan

    # Add fence agent to host 'myhost' using 'slot' option
    - ovirt_host_pm:
        name: myhost
        address: 1.2.3.4
        options:
          myoption1: x
          myoption2: y
          slot: myslot
        username: admin
        password: admin
        port: 3333
        type: ipmilan

    # Remove ipmilan fence agent with address 1.2.3.4 on host 'myhost'
    - ovirt_host_pm:
        state: absent
        name: myhost
        address: 1.2.3.4
        type: ipmilan

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
agent dictionary | On success if agent is found. | Dictionary of all the agent attributes. Agent attributes can be found on your oVirt/RHV instance at following url: http://ovirt.github.io/ovirt-engine-api-model/master/#types/agent.
id string | On success if agent is found. | ID of the agent which is managed Sample: 7de90f31-222c-436c-a1ca-7e655bd5b60c

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Ondra Machacek (@machacekondra)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.